A BitmapChar contains the information about one char of a bitmap font. You don't have to use this class directly in most cases. The TextField class contains methods that handle bitmap fonts for you.

### Hierarchy

- BitmapChar

## Index

### Constructors

- constructor

### Properties

- charID
- height
- texture
- width
- xAdvance
- xOffset
- yOffset

### Methods

- addKerning
- createImage
- getKerning
- get_charID
- get_height
- get_texture
- get_width
- get_xAdvance
- get_xOffset
- get_yOffset

## Constructors

### constructor

- new BitmapChar(id: number, texture: Texture, xOffset: number, yOffset: number, xAdvance: number): BitmapChar

- - Defined in lib/starling/text/BitmapChar.d.ts:11

  Creates a char with a texture and its properties.

  #### Parameters

  - ##### id: number

  - ##### texture: Texture

  - ##### xOffset: number

  - ##### yOffset: number

  - ##### xAdvance: number

  #### Returns BitmapChar

## Properties

### charID

charID: number

- Defined in lib/starling/text/BitmapChar.d.ts:26

The unicode ID of the char.

### height

height: number

- Defined in lib/starling/text/BitmapChar.d.ts:50

The height of the character in points.

### texture

texture: Texture

- Defined in lib/starling/text/BitmapChar.d.ts:42

The texture of the character.

### width

width: number

- Defined in lib/starling/text/BitmapChar.d.ts:46

The width of the character in points.

### xAdvance

xAdvance: number

- Defined in lib/starling/text/BitmapChar.d.ts:38

The number of points the cursor has to be moved to the right for the next char.

### xOffset

xOffset: number

- Defined in lib/starling/text/BitmapChar.d.ts:30

The number of points to move the char in x direction on character arrangement.

### yOffset

yOffset: number

- Defined in lib/starling/text/BitmapChar.d.ts:34

The number of points to move the char in y direction on character arrangement.

## Methods

### addKerning

- addKerning(charID: number, amount: number): void

- - Defined in lib/starling/text/BitmapChar.d.ts:17

  Adds kerning information relative to a specific other character ID.

  #### Parameters

  - ##### charID: number

  - ##### amount: number

  #### Returns void

### createImage

- createImage(): Image

- - Defined in lib/starling/text/BitmapChar.d.ts:23

  Creates an image of the char.

  #### Returns Image

### getKerning

- getKerning(charID: number): number

- - Defined in lib/starling/text/BitmapChar.d.ts:20

  Retrieve kerning information relative to the given character ID.

  #### Parameters

  - ##### charID: number

  #### Returns number

### Protected get_charID

- get_charID(): number

- - Defined in lib/starling/text/BitmapChar.d.ts:27

  #### Returns number

### Protected get_height

- get_height(): number

- - Defined in lib/starling/text/BitmapChar.d.ts:51

  #### Returns number

### Protected get_texture

- get_texture(): Texture

- - Defined in lib/starling/text/BitmapChar.d.ts:43

  #### Returns Texture

### Protected get_width

- get_width(): number

- - Defined in lib/starling/text/BitmapChar.d.ts:47

  #### Returns number

### Protected get_xAdvance

- get_xAdvance(): number

- - Defined in lib/starling/text/BitmapChar.d.ts:39

  #### Returns number

### Protected get_xOffset

- get_xOffset(): number

- - Defined in lib/starling/text/BitmapChar.d.ts:31

  #### Returns number

### Protected get_yOffset

- get_yOffset(): number

- - Defined in lib/starling/text/BitmapChar.d.ts:35

  #### Returns number

Generated using TypeDoc